## libkomparediff2 19.12.3

=== debian/changelog ===
libkomparediff2 (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:17:21 +0000

libkomparediff2 (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:26:22 +0000

libkomparediff2 (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:43 +0000

libkomparediff2 (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:54:23 +0000

libkomparediff2 (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:59 +0000

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2

Package: libkomparediff2-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkomparediff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-10n:all}
Replaces: ${kde-l10n:all}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkf5codecs-dev,
         libkf5config-dev,
         libkf5coreaddons-dev,
         libkf5i18n-dev,
         libkf5kio-dev,
         libkf5xmlgui-dev,
         libkomparediff2-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 20.08.1

=== debian/changelog ===
libkomparediff2 (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:40 +0100

libkomparediff2 (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:53:11 +0100

libkomparediff2 (4:20.04.3-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Breaks/Replaces for Kubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Aug 2020 18:47:36 +0100

libkomparediff2 (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump KF packages to 5.53.0
    - explicitly add gettext, and qtbase5-dev
  * Update the -dev dependencies of libkomparediff2-dev:
    - bump qtbase5-dev to 5.9.0
    - bump KF packages to 5.53.0
    - remove no more required: libkf5codecs-dev, libkf5coreaddons-dev,
      libkf5i18n-dev, and libkf5kio-dev
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update symbols file.
  * Add the configuration for the CI on salsa.
  * Few changes to copyright.
  * Remove breaks older than oldstable.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 09:25:18 +0200

libkomparediff2 (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:43:45 +0100

libkomparediff2 (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:25:12 +0100

libkomparediff2 (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:42:12 +0100

libkomparediff2 (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:28:07 +0100

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.53.0~),
               gettext,
               libkf5codecs-dev (>= 5.53.0~),
               libkf5config-dev (>= 5.53.0~),
               libkf5coreaddons-dev (>= 5.53.0~),
               libkf5i18n-dev (>= 5.53.0~),
               libkf5kio-dev (>= 5.53.0~),
               libkf5xmlgui-dev (>= 5.53.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2

Package: libkomparediff2-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkomparediff-data (<< 4:20.04.3-1~), ${kde-l10n:all}
Replaces: libkomparediff-data (<< 4:20.04.3-1~), ${kde-l10n:all}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.53.0~),
         libkf5xmlgui-dev (>= 5.53.0~),
         libkomparediff2-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## libkomparediff2 20.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(LibKompareDiff2 VERSION "5.2")

set(QT_MIN_VERSION "5.12.0")
set(KF_MIN_VERSION "5.68.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(GenerateExportHeader)

set(ADDITIONAL_REQUIRED_QT_COMPONENTS)
if(BUILD_TESTING)
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS Test)
endif()

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    COMPONENTS
        Core
        Widgets
        ${ADDITIONAL_REQUIRED_QT_COMPONENTS}
)

find_package(KF5 ${KF_MIN_VERSION} REQUIRED
    COMPONENTS
        CoreAddons
        Codecs
        Config
        XmlGui
        I18n
        KIO
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_KEYWORDS
    -DQT_STRICT_ITERATORS
    -DQT_NO_FOREACH
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054700
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkomparediff2\")

set(LibKompareDiff2_SOVERSION 5)

set(komparediff2_SRCS
    kompareprocess.cpp
    komparemodellist.cpp
    diffmodellist.cpp
    diffmodel.cpp
    difference.cpp
    diffhunk.cpp
    diffsettings.cpp
    settingsbase.cpp
    parser.cpp
    parserbase.cpp
    cvsdiffparser.cpp
    diffparser.cpp
    perforceparser.cpp
    stringlistpair.cpp
    kompare.cpp
)

ecm_qt_declare_logging_category(komparediff2_SRCS
    HEADER komparediffdebug.h
    IDENTIFIER LIBKOMPAREDIFF2
    CATEGORY_NAME "libkomparediff"
    DESCRIPTION "libkomparediff"
    EXPORT komparediff2
)

add_library(komparediff2 ${komparediff2_SRCS})
generate_export_header(komparediff2 BASE_NAME diff2)

target_link_libraries(komparediff2
    PUBLIC
        KF5::XmlGui
        KF5::ConfigCore
        Qt5::Widgets
        Qt5::Core
    PRIVATE
        KF5::Codecs
        KF5::KIOCore
        KF5::I18n
        KF5::CoreAddons
)

target_include_directories(komparediff2 INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>")

set_target_properties(komparediff2 PROPERTIES
    VERSION ${LibKompareDiff2_VERSION}
    SOVERSION ${LibKompareDiff2_SOVERSION}
    EXPORT_NAME "KompareDiff2"
)

install(TARGETS komparediff2 EXPORT LibKompareDiff2Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/diff2_export.h
        settingsbase.h
        diffsettings.h
        komparemodellist.h
        difference.h
        diffmodel.h
        diffmodellist.h
        marker.h
        kompare.h
        diffhunk.h
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/libkomparediff2
    COMPONENT
        Devel
)

ecm_qt_install_logging_categories(
    EXPORT komparediff2
    FILE libkomparediff2.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)


# CMake config files
set(_LibKompareDiff2_CONFIG_DEST "${KDE_INSTALL_CMAKEPACKAGEDIR}/LibKompareDiff2")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/LibKompareDiff2Config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/LibKompareDiff2Config.cmake"
    INSTALL_DESTINATION  "${_LibKompareDiff2_CONFIG_DEST}"
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/LibKompareDiff2ConfigVersion.cmake"
    COMPATIBILITY SameMajorVersion
)

install( FILES
        "${CMAKE_CURRENT_BINARY_DIR}/LibKompareDiff2ConfigVersion.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/LibKompareDiff2Config.cmake"
        DESTINATION "${_LibKompareDiff2_CONFIG_DEST}" )
install( EXPORT LibKompareDiff2Targets
         DESTINATION "${_LibKompareDiff2_CONFIG_DEST}"
         FILE LibKompareDiff2Targets.cmake )

=== tests/CMakeLists.txt ===
include(ECMMarkAsTest)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
)

set(LIB_SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(LIB_BINARY_DIR "${CMAKE_BINARY_DIR}/src")
include_directories(
    ${LIB_SOURCE_DIR}
    ${LIB_BINARY_DIR}
)

ecm_qt_declare_logging_category(komparediff2_DBG_SRCS
    HEADER komparediffdebug.h
    IDENTIFIER LIBKOMPAREDIFF2
    CATEGORY_NAME "libkomparediff"
)

set(interactiveDiffTest_SRCS
    interactivedifftest.cpp
    ${LIB_SOURCE_DIR}/perforceparser.cpp
    ${LIB_SOURCE_DIR}/cvsdiffparser.cpp
    ${LIB_SOURCE_DIR}/difference.cpp
    ${LIB_SOURCE_DIR}/diffhunk.cpp
    ${LIB_SOURCE_DIR}/diffmodel.cpp
    ${LIB_SOURCE_DIR}/diffmodellist.cpp
    ${LIB_SOURCE_DIR}/diffparser.cpp
    ${LIB_SOURCE_DIR}/komparemodellist.cpp
    ${LIB_SOURCE_DIR}/kompareprocess.cpp
    ${LIB_SOURCE_DIR}/parser.cpp
    ${LIB_SOURCE_DIR}/parserbase.cpp
    ${LIB_SOURCE_DIR}/stringlistpair.cpp
    ${LIB_SOURCE_DIR}/kompare.cpp
    ${komparediff2_DBG_SRCS}
)

add_executable(interactiveDiffTest ${interactiveDiffTest_SRCS})
add_test(NAME libkomparediff2-interactiveDiffTest COMMAND interactiveDiffTest)
ecm_mark_as_test(interactiveDiffTest)
set_target_properties(interactiveDiffTest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")
target_link_libraries(interactiveDiffTest
    Qt5::Core
    Qt5::Test
    KF5::CoreAddons
    KF5::I18n
    KF5::XmlGui
    KF5::KIOCore
)

set(levenshteinTest_SRCS
    levenshteintest.cpp
    ${LIB_SOURCE_DIR}/difference.cpp
    ${LIB_SOURCE_DIR}/stringlistpair.cpp
    ${komparediff2_DBG_SRCS}
)

add_executable(levenshteintest ${levenshteinTest_SRCS})
add_test(NAME libkomparediff2-levenshteintest COMMAND levenshteintest)
ecm_mark_as_test(levenshteintest)
set_target_properties(levenshteintest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")
target_link_libraries(levenshteintest
    Qt5::Test
    Qt5::Core
)

=== debian/changelog ===
libkomparediff2 (4:20.12.0-2) unstable; urgency=medium

  * Reupload as source-only upload so it can migrate to testing.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Dec 2020 11:56:14 +0100

libkomparediff2 (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.12
    - KF5 >= 5.68
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Install generated
    usr/share/qlogging-categories5/libkomparediff2.categories.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Dec 2020 01:21:49 +0100

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libkf5codecs-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               qtbase5-dev (>= 5.12.0~),
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/libkomparediff2
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2.git

Package: libkomparediff2-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-5 (= ${binary:Version}),
         libkf5config-dev (>= 5.68.0~),
         libkf5xmlgui-dev (>= 5.68.0~),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 20.12.3

=== debian/changelog ===
libkomparediff2 (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:28:45 +0000

libkomparediff2 (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:02:08 +0000

libkomparediff2 (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:15:31 +0000

libkomparediff2 (4:20.12.0-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - libkomparediff2-5 Breaks/Replaces libkomparediff-data (<< 4:20.04.3-1~).

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Dec 2020 14:24:03 +0000

libkomparediff2 (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:35:22 +0000

libkomparediff2 (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:59:36 +0000

## libkomparediff2 21.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 project(LibKompareDiff2 VERSION "5.2")
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF_MIN_VERSION "5.68.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF_MIN_VERSION "5.80.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -52,7 +52,7 @@
     -DQT_STRICT_ITERATORS
     -DQT_NO_FOREACH
     -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054700
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )

=== debian/changelog ===
libkomparediff2 (4:21.08.0-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 14:12:40 +0800

libkomparediff2 (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Update deps from cmake.

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 12:34:41 +0900

libkomparediff2 (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 14:12:54 +0900

## libkomparediff2 21.08.1

=== debian/changelog ===
libkomparediff2 (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:37 +0100

libkomparediff2 (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:18 +0100

libkomparediff2 (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:04:49 +0100

libkomparediff2 (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:39:39 +0100

libkomparediff2 (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:51:36 +0100

libkomparediff2 (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:01 +0100

libkomparediff2 (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:15:25 +0100

libkomparediff2 (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:46:33 +0100

=== debian/control ===
--- 
+++ 
@@ -13,19 +13,21 @@
                libkf5i18n-dev (>= 5.68.0~),
                libkf5kio-dev (>= 5.68.0~),
                libkf5xmlgui-dev (>= 5.68.0~),
+               pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.12.0~),
-               pkg-kde-tools (>= 0.12),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/libkomparediff2
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
 
 Package: libkomparediff2-5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkomparediff-data (<< 4:20.04.3-1~)
+Replaces: libkomparediff-data (<< 4:20.04.3-1~)
 Description: library to compare files and strings
  This package contains a library used to compare files and strings, and is
  used in Kompare and KDevelop.
@@ -35,9 +37,9 @@
 Package: libkomparediff2-dev
 Section: libdevel
 Architecture: any
-Depends: libkomparediff2-5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.68.0~),
+Depends: libkf5config-dev (>= 5.68.0~),
          libkf5xmlgui-dev (>= 5.68.0~),
+         libkomparediff2-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
 Description: library to compare files and strings - development files

## libkomparediff2 21.12.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,9 @@
 
 set(LibKompareDiff2_SOVERSION 5)
 
-set(komparediff2_SRCS
+add_library(komparediff2 SHARED)
+
+target_sources(komparediff2 PRIVATE
     kompareprocess.cpp
     komparemodellist.cpp
     diffmodellist.cpp
@@ -20,7 +22,7 @@
     kompare.cpp
 )
 
-ecm_qt_declare_logging_category(komparediff2_SRCS
+ecm_qt_declare_logging_category(komparediff2
     HEADER komparediffdebug.h
     IDENTIFIER LIBKOMPAREDIFF2
     CATEGORY_NAME "libkomparediff"
@@ -28,7 +30,6 @@
     EXPORT komparediff2
 )
 
-add_library(komparediff2 ${komparediff2_SRCS})
 generate_export_header(komparediff2 BASE_NAME diff2)
 
 target_link_libraries(komparediff2

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,9 @@
     CATEGORY_NAME "libkomparediff"
 )
 
-set(interactiveDiffTest_SRCS
+add_executable(interactiveDiffTest)
+
+target_sources(interactiveDiffTest PRIVATE
     interactivedifftest.cpp
     ${LIB_SOURCE_DIR}/perforceparser.cpp
     ${LIB_SOURCE_DIR}/cvsdiffparser.cpp
@@ -37,7 +39,6 @@
     ${komparediff2_DBG_SRCS}
 )
 
-add_executable(interactiveDiffTest ${interactiveDiffTest_SRCS})
 add_test(NAME libkomparediff2-interactiveDiffTest COMMAND interactiveDiffTest)
 ecm_mark_as_test(interactiveDiffTest)
 set_target_properties(interactiveDiffTest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")
@@ -50,14 +51,14 @@
     KF5::KIOCore
 )
 
-set(levenshteinTest_SRCS
+add_executable(levenshteintest)
+target_sources(levenshteintest PRIVATE
     levenshteintest.cpp
     ${LIB_SOURCE_DIR}/difference.cpp
     ${LIB_SOURCE_DIR}/stringlistpair.cpp
     ${komparediff2_DBG_SRCS}
 )
 
-add_executable(levenshteintest ${levenshteinTest_SRCS})
 add_test(NAME libkomparediff2-levenshteintest COMMAND levenshteintest)
 ecm_mark_as_test(levenshteintest)
 set_target_properties(levenshteintest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")

=== debian/changelog ===
libkomparediff2 (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:18:37 +0000

libkomparediff2 (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:25:11 +0000

libkomparediff2 (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:33:00 +0000

libkomparediff2 (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:30:05 +0000

libkomparediff2 (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:25:24 +0000

libkomparediff2 (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:32:21 +0000

libkomparediff2 (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:47:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkomparediff2
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),

## libkomparediff2 22.08.1

=== debian/changelog ===
libkomparediff2 (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:47 +0100

libkomparediff2 (4:22.08.0-0ubuntu2) kinetic; urgency=medium

  * No change rebuild.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 12:02:17 +0100

libkomparediff2 (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:56:58 +0100

libkomparediff2 (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:34:57 +0100

libkomparediff2 (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:09:37 +0100

libkomparediff2 (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:08:47 +0100

libkomparediff2 (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:56:07 +0100

## libkomparediff2 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(LibKompareDiff2 VERSION "5.2")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF_MIN_VERSION "5.80.0")
+set(KF_MIN_VERSION "5.90.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -22,7 +22,7 @@
     list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS Test)
 endif()
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
     COMPONENTS
         Core
         Widgets
@@ -40,19 +40,9 @@
 )
 
 add_definitions(
-    -DQT_DEPRECATED_WARNINGS
     -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DQT_USE_QSTRINGBUILDER
-    -DQT_NO_CAST_TO_ASCII
-    -DQT_NO_CAST_FROM_ASCII
-    -DQT_NO_CAST_FROM_BYTEARRAY
-    -DQT_NO_URL_CAST_FROM_STRING
-    -DQT_NO_KEYWORDS
-    -DQT_STRICT_ITERATORS
-    -DQT_NO_FOREACH
-    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )

=== debian/changelog ===
libkomparediff2 (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:04 +0100

libkomparediff2 (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:40:32 +0100

libkomparediff2 (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:05:00 +0100

libkomparediff2 (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:08 +0100

libkomparediff2 (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Apr 2022 23:00:16 +0200

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5codecs-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/libkomparediff2
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2.git

Package: libkomparediff2-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.90.0~),
         libkf5xmlgui-dev (>= 5.90.0~),
         libkomparediff2-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.0~),
         ${misc:Depends},
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 23.08.0

=== debian/changelog ===
libkomparediff2 (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:01:09 +0100

libkomparediff2 (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Update symbols.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:34 +0100

libkomparediff2 (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:56:48 +0100

libkomparediff2 (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:35 +0100

libkomparediff2 (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:24 +0000

libkomparediff2 (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:28:41 -0600

libkomparediff2 (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:21:06 +0000

libkomparediff2 (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Breaks/Replaces for Kubuntu version history.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 15:54:31 +0000

libkomparediff2 (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:15 +0000

libkomparediff2 (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:13:25 +0000

libkomparediff2 (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Nov 2022 14:32:44 +0000

libkomparediff2 (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:12 +0000

## libkomparediff2 23.08.1

=== debian/changelog ===
libkomparediff2 (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:07 +0100

## libkomparediff2 23.08.4

=== debian/changelog ===
libkomparediff2 (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)
  * Fix include path in debian/libkomparediff2-5.acc.in

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:22:19 +0000

libkomparediff2 (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:42:49 +0000

libkomparediff2 (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:38:46 +0100

## libkomparediff2 23.08.5

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -41,15 +41,24 @@
 
 add_test(NAME libkomparediff2-interactiveDiffTest COMMAND interactiveDiffTest)
 ecm_mark_as_test(interactiveDiffTest)
-set_target_properties(interactiveDiffTest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")
+# Configure export macros to be setup as with a static lib
+# as the source files are reused for the tests.
+# Saves doing a separate export header.
+target_compile_definitions(interactiveDiffTest
+  PUBLIC
+    KOMPAREDIFF2_STATIC_DEFINE
+)
 target_link_libraries(interactiveDiffTest
-    Qt5::Core
-    Qt5::Test
-    KF5::CoreAddons
-    KF5::I18n
-    KF5::XmlGui
-    KF5::KIOCore
+    Qt::Core
+    Qt::Test
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::XmlGui
+    KF${KF_MAJOR_VERSION}::KIOCore
 )
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(interactiveDiffTest Qt6::Core5Compat)
+endif()
 
 add_executable(levenshteintest)
 target_sources(levenshteintest PRIVATE
@@ -61,8 +70,14 @@
 
 add_test(NAME libkomparediff2-levenshteintest COMMAND levenshteintest)
 ecm_mark_as_test(levenshteintest)
-set_target_properties(levenshteintest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")
+# Configure export macros to be setup as with a static lib
+# as the source files are reused for the tests.
+# Saves doing a separate export header.
+target_compile_definitions(levenshteintest
+  PUBLIC
+    KOMPAREDIFF2_STATIC_DEFINE
+)
 target_link_libraries(levenshteintest
-    Qt5::Test
-    Qt5::Core
+    Qt::Test
+    Qt::Core
 )

=== debian/changelog ===
libkomparediff2 (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:09:14 +0000

libkomparediff2 (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:38:10 +0000

libkomparediff2 (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:24:38 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkomparediff2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
@@ -16,17 +17,19 @@
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/libkomparediff2
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
 
 Package: libkomparediff2-5
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkomparediff-data (<< 4:20.04.3-1~)
+Replaces: libkomparediff-data (<< 4:20.04.3-1~)
 Description: library to compare files and strings
  This package contains a library used to compare files and strings, and is
  used in Kompare and KDevelop.

## libkomparediff2 24.08.2

=== debian/changelog ===
libkomparediff2 (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Update symbols for Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 13:33:49 +0000

libkomparediff2 (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Package new libkomparediff2-6 library package following upstream
    soname bump.
  * Split architecture-independent data files into a separate package
    to ease future transitions.
  * Bump Standards-Version to 4.7.0, no change required.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Oct 2024 00:10:56 +0200

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools (>= 0.12),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/libkomparediff2
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2.git

Package: libkomparediff2-6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkomparediff2-data (= ${source:Version}),
         ${misc:Depends},
	 ${shlibs:Depends},
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkomparediff2-5
Replaces: libkomparediff2-5
Description: architecture-independent data files for libkomparediff2
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains the architecture-independent data files for
 libkomparediff2.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 24.12.0

=== debian/changelog ===
libkomparediff2 (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:23:25 +0000

libkomparediff2 (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:09:13 +0000

libkomparediff2 (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 17:39:58 +0000

libkomparediff2 (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:48:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkomparediff2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
@@ -18,8 +19,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/libkomparediff2
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
 
 Package: libkomparediff2-6
 Section: libs

## libkomparediff2 24.12.1

=== debian/changelog ===
libkomparediff2 (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 08:30:42 +0100

libkomparediff2 (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Fix 'acc' autopkgtest:
    - fix location of library headers
    - set -std=c++17, needed when using Qt 6
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 09:22:07 +0100

## libkomparediff2 24.12.2

=== debian/changelog ===
libkomparediff2 (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Mar 2025 19:02:10 +0100
